package com.java2s.common;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

@Entity
public class Person {
	@Id
  private long id;
	 
	private String name;
	
  @Temporal(TemporalType.DATE)
  private java.util.Calendar dob;
	
  public Person() {}

	public Person(String name) {
		this.name = name;
	}


  public java.util.Calendar getDob() {
    return dob;
  }

  public void setDob(java.util.Calendar dob) {
    this.dob = dob;
  }

  public Long getId() {
		return id;
	}
	public void setId(Long id) {
		this.id = id;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}

  public String toString() {
    return "\n\nID:" + id + "\nName:" + name + "\n\n"+"Dob"+dob;
  }
}